function  seznam( )
%% Výpis natrénovaných databází slov
%

if exist('1matlab.dat') == 2     %test jestli je databáze aspoň jedna
    
  cisloDatab = 1;
  nacData = 1;
  
while nacData == 1;
  jmenoDatab = [num2str(cisloDatab) 'matlab.dat'];
  
    if exist(jmenoDatab) == 2       %test jestli je databáze
    matice = dlmread(jmenoDatab);

%% načtení názvu slova z databáze
 
    maticeM = matice(6:10,:);
        
    slovo = char(maticeM);    
    slovo_char = [slovo(1,:), slovo(2,:), slovo(3,:), slovo(4,:), slovo(5,:)];

%% výpis seznamu do okna

    if cisloDatab >= 1 && cisloDatab <= 29
uicontrol('style', 'text', 'string', jmenoDatab, ...
    'units', 'normalized', 'Position', [0.0 (0.89 - cisloDatab*0.03) 0.25 0.03]);
uicontrol('style', 'text', 'string', slovo_char, ...
    'units', 'normalized', 'Position', [0.25 (0.89 - cisloDatab*0.03) 0.25 0.03]);
    elseif cisloDatab >= 30 && cisloDatab <= 58
uicontrol('style', 'text', 'string', jmenoDatab, ...
    'units', 'normalized', 'Position', [0.5 (0.89 - (cisloDatab-29)*0.03) 0.25 0.03]);
uicontrol('style', 'text', 'string', slovo_char, ...
    'units', 'normalized', 'Position', [0.75 (0.89 - (cisloDatab-29)*0.03) 0.25 0.03]);
    end    

    cisloDatab = cisloDatab +1;

    else
    nacData = 0;
    break;
    end


end

else
    msgbox('Nebyla nalezena žádná databáze.', 'Chyba', 'error');

end;  % if exist

end


